Ruby: missing/lgamma_r.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
lgamma_r.c File Reference
`#include "ruby/missing.h"`
`#include <math.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros
#define | PI 3.14159265358979324 /* $\pi$ */
#define | LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */
#define | LOG_PI 1.14472988584940017 /* $\log_e \pi$ */
#define | N 8
#define | B0 1 /* Bernoulli numbers */
#define | B1 (-1.0 / 2.0)
#define | B2 ( 1.0 / 6.0)
#define | B4 (-1.0 / 30.0)
#define | B6 ( 1.0 / 42.0)
#define | B8 (-1.0 / 30.0)
#define | B10 ( 5.0 / 66.0)
#define | B12 (-691.0 / 2730.0)
#define | B14 ( 7.0 / 6.0)
#define | B16 (-3617.0 / 510.0)

## Functions
double | lgamma_r (double x, int *signp)

## Macro Definition Documentation

## ◆ B0

#define B0 1 /* Bernoulli numbers */

Definition at line 22 of file lgamma_r.c.

## ◆ B1

#define B1 (-1.0 / 2.0)

Definition at line 23 of file lgamma_r.c.

## ◆ B10

#define B10 ( 5.0 / 66.0)

Definition at line 28 of file lgamma_r.c.

## ◆ B12

#define B12 (-691.0 / 2730.0)

Definition at line 29 of file lgamma_r.c.

## ◆ B14

#define B14 ( 7.0 / 6.0)

Definition at line 30 of file lgamma_r.c.

## ◆ B16

#define B16 (-3617.0 / 510.0)

Definition at line 31 of file lgamma_r.c.

## ◆ B2

#define B2 ( 1.0 / 6.0)

Definition at line 24 of file lgamma_r.c.

## ◆ B4

#define B4 (-1.0 / 30.0)

Definition at line 25 of file lgamma_r.c.

## ◆ B6

#define B6 ( 1.0 / 42.0)

Definition at line 26 of file lgamma_r.c.

## ◆ B8

#define B8 (-1.0 / 30.0)

Definition at line 27 of file lgamma_r.c.

## ◆ LOG_2PI

#define LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */

Definition at line 18 of file lgamma_r.c.

## ◆ LOG_PI

#define LOG_PI 1.14472988584940017 /* $\log_e \pi$ */

Definition at line 19 of file lgamma_r.c.

## ◆ N

#define N 8

Definition at line 20 of file lgamma_r.c.

## ◆ PI

#define PI 3.14159265358979324 /* $\pi$ */

Definition at line 17 of file lgamma_r.c.

## Function Documentation

## ◆ lgamma_r()

double lgamma_r | ( | double | x,
|  | int * | signp
| ) |  |

Definition at line 63 of file lgamma_r.c.

References f, HUGE_VAL, LOG_PI, PI, and signbit().

Referenced by tgamma().